Index: pjproject/branches/symbian/pjsip/src/pjsip/sip_msg.c
===================================================================
--- pjproject/branches/symbian/pjsip/src/pjsip/sip_msg.c	(revision 474)
+++ pjproject/branches/symbian/pjsip/src/pjsip/sip_msg.c	(revision 789)
@@ -238,5 +238,5 @@
 PJ_DEF(pjsip_msg*) pjsip_msg_create( pj_pool_t *pool, pjsip_msg_type_e type)
 {
-    pjsip_msg *msg = pj_pool_alloc(pool, sizeof(pjsip_msg));
+    pjsip_msg *msg = (pjsip_msg *) pj_pool_alloc(pool, sizeof(pjsip_msg));
     pj_list_init(&msg->hdr);
     msg->type = type;
@@ -248,5 +248,5 @@
 				   pjsip_hdr_e hdr_type, const void *start)
 {
-    const pjsip_hdr *hdr=start, *end=&msg->hdr;
+    const pjsip_hdr *hdr=(const pjsip_hdr *)start, *end=&msg->hdr;
 
     if (hdr == NULL) {
@@ -264,5 +264,5 @@
 					   const void *start)
 {
-    const pjsip_hdr *hdr=start, *end=&msg->hdr;
+    const pjsip_hdr *hdr=(const pjsip_hdr *)start, *end=&msg->hdr;
 
     if (hdr == NULL) {
@@ -284,5 +284,5 @@
 				         pjsip_hdr_e hdr_type, void *start)
 {
-    pjsip_hdr *hdr = pjsip_msg_find_hdr(msg, hdr_type, start);
+    pjsip_hdr *hdr = (pjsip_hdr *)pjsip_msg_find_hdr(msg, hdr_type, start);
     if (hdr) {
 	pj_list_erase(hdr);
@@ -316,5 +316,5 @@
 
 	/* Add URI */
-	uri = pjsip_uri_get_uri(msg->line.req.uri);
+	uri = (pjsip_uri*) pjsip_uri_get_uri(msg->line.req.uri);
 	len = pjsip_uri_print( PJSIP_URI_IN_REQ_URI, uri, p, end-p);
 	if (len < 1)
@@ -448,5 +448,5 @@
 PJ_DEF(void*) pjsip_hdr_clone( pj_pool_t *pool, const void *hdr_ptr )
 {
-    const pjsip_hdr *hdr = hdr_ptr;
+    const pjsip_hdr *hdr = (const pjsip_hdr *)hdr_ptr;
     return (*hdr->vptr->clone)(pool, hdr_ptr);
 }
@@ -455,5 +455,5 @@
 PJ_DEF(void*) pjsip_hdr_shallow_clone( pj_pool_t *pool, const void *hdr_ptr )
 {
-    const pjsip_hdr *hdr = hdr_ptr;
+    const pjsip_hdr *hdr = (const pjsip_hdr *)hdr_ptr;
     return (*hdr->vptr->shallow_clone)(pool, hdr_ptr);
 }
@@ -461,5 +461,5 @@
 PJ_DEF(int) pjsip_hdr_print_on( void *hdr_ptr, char *buf, pj_size_t len)
 {
-    pjsip_hdr *hdr = hdr_ptr;
+    pjsip_hdr *hdr = (pjsip_hdr *)hdr_ptr;
     return (*hdr->vptr->print_on)(hdr_ptr, buf, len);
 }
@@ -507,5 +507,5 @@
 			       const pj_str_t *hvalue)
 {
-    pjsip_generic_string_hdr *hdr = mem;
+    pjsip_generic_string_hdr *hdr = (pjsip_generic_string_hdr *)mem;
 
     init_hdr(hdr, PJSIP_H_OTHER, &generic_hdr_vptr);
@@ -567,5 +567,6 @@
 							   const pjsip_generic_string_hdr *rhs )
 {
-    pjsip_generic_string_hdr *hdr = pj_pool_alloc(pool, sizeof(*hdr));
+    pjsip_generic_string_hdr *hdr = (pjsip_generic_string_hdr *)
+				     pj_pool_alloc(pool, sizeof(*hdr));
     pj_memcpy(hdr, rhs, sizeof(*hdr));
     return hdr;
@@ -596,5 +597,5 @@
 							    int value)
 {
-    pjsip_generic_int_hdr *hdr = mem;
+    pjsip_generic_int_hdr *hdr = (pjsip_generic_int_hdr *) mem;
 
     init_hdr(hdr, PJSIP_H_OTHER, &generic_int_hdr_vptr);
@@ -636,5 +637,6 @@
 					           const pjsip_generic_int_hdr *rhs)
 {
-    pjsip_generic_int_hdr *hdr = pj_pool_alloc(pool, sizeof(*hdr));
+    pjsip_generic_int_hdr *hdr = (pjsip_generic_int_hdr *)
+				  pj_pool_alloc(pool, sizeof(*hdr));
     pj_memcpy(hdr, rhs, sizeof(*hdr));
     return hdr;
@@ -644,5 +646,6 @@
 							   const pjsip_generic_int_hdr *rhs )
 {
-    pjsip_generic_int_hdr *hdr = pj_pool_alloc(pool, sizeof(*hdr));
+    pjsip_generic_int_hdr *hdr = (pjsip_generic_int_hdr *)
+				 pj_pool_alloc(pool, sizeof(*hdr));
     pj_memcpy(hdr, rhs, sizeof(*hdr));
     return hdr;
@@ -671,5 +674,5 @@
 							       const pj_str_t *hnames)
 {
-    pjsip_generic_array_hdr *hdr = mem;
+    pjsip_generic_array_hdr *hdr = (pjsip_generic_array_hdr *) mem;
 
     init_hdr(hdr, PJSIP_H_OTHER, &generic_array_hdr_vptr);
@@ -715,5 +718,6 @@
 {
     unsigned i;
-    pjsip_generic_array_hdr *hdr = pj_pool_alloc(pool, sizeof(*hdr));
+    pjsip_generic_array_hdr *hdr = (pjsip_generic_array_hdr *)
+				   pj_pool_alloc(pool, sizeof(*hdr));
 
     pj_memcpy(hdr, rhs, sizeof(*hdr));
@@ -729,5 +733,6 @@
 						 const pjsip_generic_array_hdr *rhs)
 {
-    pjsip_generic_array_hdr *hdr = pj_pool_alloc(pool, sizeof(*hdr));
+    pjsip_generic_array_hdr *hdr = (pjsip_generic_array_hdr *)
+				   pj_pool_alloc(pool, sizeof(*hdr));
     pj_memcpy(hdr, rhs, sizeof(*hdr));
     return hdr;
@@ -741,5 +746,5 @@
 						 void *mem )
 {
-    pjsip_accept_hdr *hdr = mem;
+    pjsip_accept_hdr *hdr = (pjsip_accept_hdr *) mem;
 
     PJ_UNUSED_ARG(pool);
@@ -765,5 +770,5 @@
 					       void *mem )
 {
-    pjsip_allow_hdr *hdr = mem;
+    pjsip_allow_hdr *hdr = (pjsip_allow_hdr *) mem;
 
     PJ_UNUSED_ARG(pool);
@@ -788,5 +793,5 @@
 					   void *mem )
 {
-    pjsip_cid_hdr *hdr = mem;
+    pjsip_cid_hdr *hdr = (pjsip_cid_hdr *) mem;
 
     PJ_UNUSED_ARG(pool);
@@ -822,5 +827,5 @@
 					     void *mem )
 {
-    pjsip_clen_hdr *hdr = mem;
+    pjsip_clen_hdr *hdr = (pjsip_clen_hdr *) mem;
 
     PJ_UNUSED_ARG(pool);
@@ -884,5 +889,5 @@
 					     void *mem )
 {
-    pjsip_cseq_hdr *hdr = mem;
+    pjsip_cseq_hdr *hdr = (pjsip_cseq_hdr *) mem;
 
     PJ_UNUSED_ARG(pool);
@@ -939,5 +944,6 @@
 						     const pjsip_cseq_hdr *rhs )
 {
-    pjsip_cseq_hdr *hdr = pj_pool_alloc(pool, sizeof(*hdr));
+    pjsip_cseq_hdr *hdr = (pjsip_cseq_hdr *) 
+			  pj_pool_alloc(pool, sizeof(*hdr));
     pj_memcpy(hdr, rhs, sizeof(*hdr));
     return hdr;
@@ -963,5 +969,5 @@
 						   void *mem )
 {
-    pjsip_contact_hdr *hdr = mem;
+    pjsip_contact_hdr *hdr = (pjsip_contact_hdr *) mem;
 
     PJ_UNUSED_ARG(pool);
@@ -1055,5 +1061,5 @@
 	return hdr;
 
-    hdr->uri = pjsip_uri_clone(pool, rhs->uri);
+    hdr->uri = (pjsip_uri*) pjsip_uri_clone(pool, rhs->uri);
     hdr->q1000 = rhs->q1000;
     hdr->expires = rhs->expires;
@@ -1066,5 +1072,6 @@
 				 const pjsip_contact_hdr *rhs)
 {
-    pjsip_contact_hdr *hdr = pj_pool_alloc(pool, sizeof(*hdr));
+    pjsip_contact_hdr *hdr = (pjsip_contact_hdr *) 
+			     pj_pool_alloc(pool, sizeof(*hdr));
     pj_memcpy(hdr, rhs, sizeof(*hdr));
     pjsip_param_shallow_clone(pool, &hdr->other_param, &rhs->other_param);
@@ -1092,5 +1099,5 @@
 					       void *mem )
 {
-    pjsip_ctype_hdr *hdr = mem;
+    pjsip_ctype_hdr *hdr = (pjsip_ctype_hdr *) mem;
 
     PJ_UNUSED_ARG(pool);
@@ -1169,5 +1176,5 @@
 						   int value)
 {
-    pjsip_expires_hdr *hdr = mem;
+    pjsip_expires_hdr *hdr = (pjsip_expires_hdr *) mem;
 
     PJ_UNUSED_ARG(pool);
@@ -1208,5 +1215,5 @@
 					     void *mem )
 {
-    pjsip_from_hdr *hdr = mem;
+    pjsip_from_hdr *hdr = (pjsip_from_hdr *) mem;
 
     PJ_UNUSED_ARG(pool);
@@ -1227,5 +1234,5 @@
 					 void *mem )
 {
-    pjsip_to_hdr *hdr = mem;
+    pjsip_to_hdr *hdr = (pjsip_to_hdr *) mem;
 
     PJ_UNUSED_ARG(pool);
@@ -1296,5 +1303,5 @@
     hdr->name = rhs->name;
     hdr->sname = rhs->sname;
-    hdr->uri = pjsip_uri_clone(pool, rhs->uri);
+    hdr->uri = (pjsip_uri*) pjsip_uri_clone(pool, rhs->uri);
     pj_strdup( pool, &hdr->tag, &rhs->tag);
     pjsip_param_clone( pool, &hdr->other_param, &rhs->other_param);
@@ -1307,5 +1314,6 @@
 				const pjsip_fromto_hdr *rhs)
 {
-    pjsip_fromto_hdr *hdr = pj_pool_alloc(pool, sizeof(*hdr));
+    pjsip_fromto_hdr *hdr = (pjsip_fromto_hdr *) 
+			    pj_pool_alloc(pool, sizeof(*hdr));
     pj_memcpy(hdr, rhs, sizeof(*hdr));
     pjsip_param_shallow_clone( pool, &hdr->other_param, &rhs->other_param);
@@ -1322,5 +1330,5 @@
 						   int value)
 {
-    pjsip_max_fwd_hdr *hdr = mem;
+    pjsip_max_fwd_hdr *hdr = (pjsip_max_fwd_hdr *) mem;
 
     PJ_UNUSED_ARG(pool);
@@ -1348,5 +1356,5 @@
 							   int value )
 {
-    pjsip_min_expires_hdr *hdr = mem;
+    pjsip_min_expires_hdr *hdr = (pjsip_min_expires_hdr *) mem;
 
     PJ_UNUSED_ARG(pool);
@@ -1382,5 +1390,5 @@
 					 void *mem )
 {
-    pjsip_rr_hdr *hdr = mem;
+    pjsip_rr_hdr *hdr = (pjsip_rr_hdr *) mem;
 
     PJ_UNUSED_ARG(pool);
@@ -1402,5 +1410,5 @@
 					       void *mem )
 {
-    pjsip_route_hdr *hdr = mem;
+    pjsip_route_hdr *hdr = (pjsip_route_hdr *) mem;
 
     PJ_UNUSED_ARG(pool);
@@ -1462,5 +1470,6 @@
 						   const pjsip_routing_hdr *rhs )
 {
-    pjsip_routing_hdr *hdr = pj_pool_alloc(pool, sizeof(*hdr));
+    pjsip_routing_hdr *hdr = (pjsip_routing_hdr *)
+			     pj_pool_alloc(pool, sizeof(*hdr));
 
     init_hdr(hdr, rhs->type, rhs->vptr);
@@ -1474,5 +1483,6 @@
 							   const pjsip_routing_hdr *rhs )
 {
-    pjsip_routing_hdr *hdr = pj_pool_alloc(pool, sizeof(*hdr));
+    pjsip_routing_hdr *hdr = (pjsip_routing_hdr *)
+			     pj_pool_alloc(pool, sizeof(*hdr));
     pj_memcpy(hdr, rhs, sizeof(*hdr));
     pjsip_param_shallow_clone( pool, &hdr->other_param, &rhs->other_param);
@@ -1488,5 +1498,5 @@
 						   void *mem )
 {
-    pjsip_require_hdr *hdr = mem;
+    pjsip_require_hdr *hdr = (pjsip_require_hdr *) mem;
 
     PJ_UNUSED_ARG(pool);
@@ -1511,5 +1521,5 @@
 							   int value )
 {
-    pjsip_retry_after_hdr *hdr = mem;
+    pjsip_retry_after_hdr *hdr = (pjsip_retry_after_hdr *) mem;
 
     PJ_UNUSED_ARG(pool);
@@ -1535,5 +1545,5 @@
 						       void *mem )
 {
-    pjsip_supported_hdr *hdr = mem;
+    pjsip_supported_hdr *hdr = (pjsip_supported_hdr *) mem;
 
     PJ_UNUSED_ARG(pool);
@@ -1557,5 +1567,5 @@
 							   void *mem )
 {
-    pjsip_unsupported_hdr *hdr = mem;
+    pjsip_unsupported_hdr *hdr = (pjsip_unsupported_hdr *) mem;
     
     PJ_UNUSED_ARG(pool);
@@ -1590,5 +1600,5 @@
 					   void *mem )
 {
-    pjsip_via_hdr *hdr = mem;
+    pjsip_via_hdr *hdr = (pjsip_via_hdr *) mem;
 
     PJ_UNUSED_ARG(pool);
@@ -1697,5 +1707,5 @@
 						   const pjsip_via_hdr *rhs )
 {
-    pjsip_via_hdr *hdr = pj_pool_alloc(pool, sizeof(*hdr));
+    pjsip_via_hdr *hdr = (pjsip_via_hdr *) pj_pool_alloc(pool, sizeof(*hdr));
     pj_memcpy(hdr, rhs, sizeof(*hdr));
     pjsip_param_shallow_clone(pool, &hdr->other_param, &rhs->other_param);
@@ -1715,5 +1725,6 @@
     pj_str_t hvalue;
 
-    hvalue.ptr = pj_pool_alloc(pool, 10 +		/* code */
+    hvalue.ptr = (char*)
+		 pj_pool_alloc(pool, 10 +		/* code */
 				     host->slen + 2 +	/* host */
 				     text->slen + 2);	/* text */
@@ -1755,5 +1766,5 @@
 
     if (len) {
-	newdata = pj_pool_alloc(pool, len);
+	newdata = (char*) pj_pool_alloc(pool, len);
 	pj_memcpy(newdata, data, len);
     }
@@ -1797,5 +1808,5 @@
     pj_status_t status;
 
-    new_body = pj_pool_alloc(pool, sizeof(pjsip_msg_body));
+    new_body = (pjsip_msg_body*) pj_pool_alloc(pool, sizeof(pjsip_msg_body));
     PJ_ASSERT_RETURN(new_body, NULL);
 
@@ -1815,5 +1826,5 @@
     PJ_ASSERT_RETURN(pool && type && subtype && text, NULL);
 
-    body = pj_pool_zalloc(pool, sizeof(pjsip_msg_body));
+    body = (pjsip_msg_body*) pj_pool_zalloc(pool, sizeof(pjsip_msg_body));
     PJ_ASSERT_RETURN(body != NULL, NULL);
 
